For the complete documentation index, see llms.txt. This page is also available as Markdown.

Scenarios API

coming soon - create digital twins to test "What if?" scenarios

get

Retrieve scenarios. The scenario_id can be used as x-configuiration-key on other public APIs.

Authorizations
x-api-keystringRequired
Query parameters
scenario_idstringOptional
modestringOptional
skipintegerOptionalDefault: 0
limitintegerOptionalDefault: 25
sortstringOptional
orderstring · enumOptionalDefault: ascPossible values:
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
get/scenarios
GET /scenarios/v1/scenarios HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "data": {
    "scenarios": [
      {
        "_id": "text",
        "scenario_id": "text",
        "name": "text",
        "description": "text",
        "status": "text",
        "mode": "text",
        "settings": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "notes": [
          {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ],
        "changes": true,
        "unsaved_changes": true,
        "created_by": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "archived_by": "text",
        "archived_at": "2026-01-01T00:00:00.000Z",
        "deleted_by": "text",
        "deleted_at": "2026-01-01T00:00:00.000Z",
        "active_admins": [
          {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ],
        "services_publishing": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "current_results": {
        "from": 1,
        "to": 1
      },
      "total_results": 1,
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  },
  "identifier": "text"
}
post

Create a new scenario.

Authorizations
x-api-keystringRequired
Body
namestringRequired
descriptionstringOptional
modestringRequired
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
post/scenarios
POST /scenarios/v1/scenarios HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "name": "text",
  "description": "text",
  "mode": "text",
  "settings": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "notes": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ]
}
200

OK

{
  "success": true,
  "data": {
    "_id": "text",
    "scenario_id": "text",
    "name": "text",
    "description": "text",
    "status": "text",
    "mode": "text",
    "settings": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "notes": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "changes": true,
    "unsaved_changes": true,
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "archived_by": "text",
    "archived_at": "2026-01-01T00:00:00.000Z",
    "deleted_by": "text",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "active_admins": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "services_publishing": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
get

Retrieve a scenario by ID.

Authorizations
x-api-keystringRequired
Path parameters
scenario_idstringRequired
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
get/scenarios/{scenario_id}
GET /scenarios/v1/scenarios/{scenario_id} HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "data": {
    "_id": "text",
    "scenario_id": "text",
    "name": "text",
    "description": "text",
    "status": "text",
    "mode": "text",
    "settings": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "notes": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "changes": true,
    "unsaved_changes": true,
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "archived_by": "text",
    "archived_at": "2026-01-01T00:00:00.000Z",
    "deleted_by": "text",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "active_admins": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "services_publishing": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
put

Update a scenario.

Authorizations
x-api-keystringRequired
Path parameters
scenario_idstringRequired
Body
namestringOptional
descriptionstringOptional
modestringOptional
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
put/scenarios/{scenario_id}
PUT /scenarios/v1/scenarios/{scenario_id} HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "name": "text",
  "description": "text",
  "mode": "text",
  "settings": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "notes": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ]
}
200

OK

{
  "success": true,
  "data": {
    "_id": "text",
    "scenario_id": "text",
    "name": "text",
    "description": "text",
    "status": "text",
    "mode": "text",
    "settings": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "notes": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "changes": true,
    "unsaved_changes": true,
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "archived_by": "text",
    "archived_at": "2026-01-01T00:00:00.000Z",
    "deleted_by": "text",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "active_admins": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "services_publishing": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
delete

Delete a scenario.

Authorizations
x-api-keystringRequired
Path parameters
scenario_idstringRequired
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
delete/scenarios/{scenario_id}
DELETE /scenarios/v1/scenarios/{scenario_id} HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "data": {
    "_id": "text",
    "scenario_id": "text",
    "name": "text",
    "description": "text",
    "status": "text",
    "mode": "text",
    "settings": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "notes": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "changes": true,
    "unsaved_changes": true,
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "archived_by": "text",
    "archived_at": "2026-01-01T00:00:00.000Z",
    "deleted_by": "text",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "active_admins": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "services_publishing": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
post

Publish a scenario's changes.

Authorizations
x-api-keystringRequired
Path parameters
scenario_idstringRequired
Body
namestringOptional
descriptionstringOptional
modestringOptional
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
post/scenarios/{scenario_id}/publish
POST /scenarios/v1/scenarios/{scenario_id}/publish HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "name": "text",
  "description": "text",
  "mode": "text",
  "settings": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "notes": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ]
}
200

OK

{
  "success": true,
  "data": {
    "_id": "text",
    "scenario_id": "text",
    "name": "text",
    "description": "text",
    "status": "text",
    "mode": "text",
    "settings": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "notes": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "changes": true,
    "unsaved_changes": true,
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "archived_by": "text",
    "archived_at": "2026-01-01T00:00:00.000Z",
    "deleted_by": "text",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "active_admins": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "services_publishing": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
delete

Discard unsaved changes for a scenario.

Authorizations
x-api-keystringRequired
Path parameters
scenario_idstringRequired
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
delete/scenarios/{scenario_id}/discard
DELETE /scenarios/v1/scenarios/{scenario_id}/discard HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "data": {
    "_id": "text",
    "scenario_id": "text",
    "name": "text",
    "description": "text",
    "status": "text",
    "mode": "text",
    "settings": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "notes": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "changes": true,
    "unsaved_changes": true,
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "archived_by": "text",
    "archived_at": "2026-01-01T00:00:00.000Z",
    "deleted_by": "text",
    "deleted_at": "2026-01-01T00:00:00.000Z",
    "active_admins": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "services_publishing": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
get

Retrieve changes. Use scenario_id to filter changes for a single scenario.

Authorizations
x-api-keystringRequired
Query parameters
scenario_idstringOptional
configuration_idstringOptional
servicestringOptional
entity_idstringOptional
entity_typestringOptional
methodstringOptional
statusstringOptional
skipintegerOptionalDefault: 0
limitintegerOptionalDefault: 25
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
get/changes
GET /scenarios/v1/changes HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "data": {
    "changes": [
      {
        "_id": "text",
        "change_id": "text",
        "configuration_id": "text",
        "status": "text",
        "service": "text",
        "entity_id": "text",
        "entity_type": "text",
        "method": "text",
        "data": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "created_by": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "current_results": {
        "from": 1,
        "to": 1
      },
      "total_results": 1,
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  },
  "identifier": "text"
}
post

Create one or more changes.

Authorizations
x-api-keystringRequired
Body
session_idstringOptional
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
post/changes
POST /scenarios/v1/changes HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 216

{
  "session_id": "text",
  "changes": [
    {
      "configuration_id": "text",
      "service": "text",
      "entity_id": "text",
      "entity_type": "text",
      "method": "text",
      "data": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "created_by": "text",
      "status": "text"
    }
  ]
}
200

OK

{
  "success": true,
  "data": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
put

Update one or more changes.

Authorizations
x-api-keystringRequired
Body
merge_to_savedbooleanOptional
session_idstringOptional
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
put/changes
PUT /scenarios/v1/changes HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 211

{
  "merge_to_saved": true,
  "session_id": "text",
  "changes": [
    {
      "change_id": "text",
      "service": "text",
      "entity_id": "text",
      "entity_type": "text",
      "status": "text",
      "method": "text",
      "data": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}
200

OK

{
  "success": true,
  "data": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "identifier": "text"
}
delete

Delete a change by ID.

Authorizations
x-api-keystringRequired
Path parameters
change_idstringRequired
Responses
200

OK

application/json
successbooleanOptional
identifierstringOptional
delete/changes/{change_id}
DELETE /scenarios/v1/changes/{change_id} HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "data": {
    "_id": "text"
  },
  "identifier": "text"
}

Last updated